mincepi
Posts: 2
Joined: Mon Apr 16, 2018 7:42 pm

Firefox on latest Raspbian

Mon Apr 16, 2018 7:47 pm

Hi,

I have downloaded and installed the latest version of Raspbian on my pi model 3 but have failed to get Firefox installed as my web browser.

Apt-get install reports a package file is missing but does not say which one.

Any chance of someone looking at the Firefox set up in the repositories to see if matters need rectifying?

Thanks

Roy

User avatar
fruitoftheloom
Posts: 16431
Joined: Tue Mar 25, 2014 12:40 pm
Location: Bognor Regis UK

Re: Firefox on latest Raspbian

Tue Apr 17, 2018 8:02 am

mincepi wrote:
Mon Apr 16, 2018 7:47 pm
Hi,

I have downloaded and installed the latest version of Raspbian on my pi model 3 but have failed to get Firefox installed as my web browser.

Apt-get install reports a package file is missing but does not say which one.

Any chance of someone looking at the Firefox set up in the repositories to see if matters need rectifying?

Thanks

Roy

Only the ESR version of Firefox is available from the Raspbian Stretch repositories:

Code: Select all

sudo apt update
sudo apt install firefox-esr

https://packages.debian.org/stretch/firefox-esr

https://www.mozilla.org/en-US/firefox/organizations/
""understanding the theoretical, but not always the end goal""

My other Devices are the ChromeBit CS10, ChromeCast & Huawei Mate 10 Pro SmartPhone

mincepi
Posts: 2
Joined: Mon Apr 16, 2018 7:42 pm

Re: Firefox on latest Raspbian

Tue Apr 17, 2018 11:26 am

Package lists are up to date.

No, although I thought your suggestion of adding the '-ESR' was a good idea it still reports

Package 'firefox-esr' has no installation candidate


Hey Ho perhaps it will be fixed one day. In the meantime source code and make

Cheers

Roy

lilunxm12
Posts: 7
Joined: Fri Mar 04, 2016 6:19 am

Re: Firefox on latest Raspbian

Tue Apr 17, 2018 9:27 pm

Code: Select all

root@raspberrypi:~# apt-get install firefox-esr
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  adwaita-icon-theme at-spi2-core dconf-gsettings-backend dconf-service dictionaries-common emacsen-common fontconfig fontconfig-config fonts-dejavu-core glib-networking glib-networking-common glib-networking-services
  gsettings-desktop-schemas gtk-update-icon-cache hicolor-icon-theme hunspell-en-us libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatspi2.0-0 libavahi-client3 libcairo-gobject2 libcairo2 libcolord2 libcups2 libdatrie1
  libdbus-glib-1-2 libdconf1 libepoxy0 libfontconfig1 libfreetype6 libgail-common libgail18 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgraphite2-3 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
  libharfbuzz0b libhunspell-1.4-0 libice6 libjbig0 libjson-glib-1.0-0 libjson-glib-1.0-common liblcms2-2 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpixman-1-0 libproxy1v5 librest-0.7-0 librsvg2-2 librsvg2-common libsm6
  libsoup-gnome2.4-1 libsoup2.4-1 libstartup-notification0 libthai-data libthai0 libtiff5 libvpx4 libx11-xcb1 libxcb-render0 libxcb-shm0 libxcb-util0 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxi6 libxinerama1 libxrandr2
  libxrender1 libxt6 libxtst6 x11-common
Suggested packages:
  ispell | aspell | hunspell wordlist fonts-stix | otf-stix fonts-lmodern mozplugger libcanberra0 hunspell openoffice.org-hunspell | openoffice.org-core colord cups-common gvfs liblcms2-utils librsvg2-bin
The following NEW packages will be installed:
  adwaita-icon-theme at-spi2-core dconf-gsettings-backend dconf-service dictionaries-common emacsen-common firefox-esr fontconfig fontconfig-config fonts-dejavu-core glib-networking glib-networking-common glib-networking-services
  gsettings-desktop-schemas gtk-update-icon-cache hicolor-icon-theme hunspell-en-us libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatspi2.0-0 libavahi-client3 libcairo-gobject2 libcairo2 libcolord2 libcups2 libdatrie1
  libdbus-glib-1-2 libdconf1 libepoxy0 libfontconfig1 libfreetype6 libgail-common libgail18 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgraphite2-3 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
  libharfbuzz0b libhunspell-1.4-0 libice6 libjbig0 libjson-glib-1.0-0 libjson-glib-1.0-common liblcms2-2 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpixman-1-0 libproxy1v5 librest-0.7-0 librsvg2-2 librsvg2-common libsm6
  libsoup-gnome2.4-1 libsoup2.4-1 libstartup-notification0 libthai-data libthai0 libtiff5 libvpx4 libx11-xcb1 libxcb-render0 libxcb-shm0 libxcb-util0 libxcomposite1 libxcursor1 libxdamage1 libxfixes3 libxi6 libxinerama1 libxrandr2
  libxrender1 libxt6 libxtst6 x11-common
0 upgraded, 81 newly installed, 0 to remove and 0 not upgraded.
Need to get 75.1 MB of archives.
After this operation, 214 MB of additional disk space will be used.
Do you want to continue? [Y/n]
Just tested with my pi3+ and firefox is there. I'm using stretch lite though, it may not be available for jessie or wheezy.
Anyway, a quick google search shows that firefox stopped working for pi after 55 and the latest working version you could get is 52.0.2
https://raspberrypi.stackexchange.com/q ... spberry-pi

nojyesoje
Posts: 1
Joined: Wed May 16, 2018 6:15 pm

Re: Firefox on latest Raspbian

Wed May 16, 2018 6:19 pm

An earlier comment said: "Only the ESR version of Firefox is available from the Raspbian Stretch repositories"

Mozilla has recently released a new Firefox 60.0 ESR, and the old ESR will be unsupported later in the year. Has anyone had any luck with this one? Is there a plan for it?

User avatar
fruitoftheloom
Posts: 16431
Joined: Tue Mar 25, 2014 12:40 pm
Location: Bognor Regis UK

Re: Firefox on latest Raspbian

Thu May 17, 2018 3:07 pm

nojyesoje wrote:
Wed May 16, 2018 6:19 pm
An earlier comment said: "Only the ESR version of Firefox is available from the Raspbian Stretch repositories"

Mozilla has recently released a new Firefox 60.0 ESR, and the old ESR will be unsupported later in the year. Has anyone had any luck with this one? Is there a plan for it?

firefox-esr 60 is at present in Debian Experimental.

As of today firefox-esr is version 52.8.0, so would expect 52.9.0 before 60

release-overview-high-res.4d8bc16caf22.png
release-overview-high-res.4d8bc16caf22.png (25.63 KiB) Viewed 142 times

Though if want a non ESR version see:

viewtopic.php?f=63&t=150438
""understanding the theoretical, but not always the end goal""

My other Devices are the ChromeBit CS10, ChromeCast & Huawei Mate 10 Pro SmartPhone

Return to “Raspbian”

Who is online

Users browsing this forum: Exabot [Bot] and 9 guests